#### D.14.5.4 netBigIntMatShort

Procedure from library `nets.lib` (see nets_lib).

Usage:
  netBigIntMatShort(M); M bigint matrix

Assume:
  M is a bigintmatrix

Return:
  visual presentation of M, only the first digits of each entry

Theory:
  A Singular object is converted into a character array (a Net) for on screen printing.

Example:

    LIB "nets.lib";
    ring r1=101,(x,y,z),lp;
    bigint a=1111111111;
    bigint b=2222222222;
    bigint c=3333333333;
    bigint d=4444444444;
    bigintmat M[2][2]=a,b,c,d;
    netBigIntMatShort(M);
    ==> | 1111111111 2222222222 |
    ==> | 3333333333 4444444444 |
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.